You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@sling.apache.org by ro...@apache.org on 2019/03/20 15:00:17 UTC

[sling-tooling-scm] 08/35: SLING-3987 - move from Subversion to Git

This is an automated email from the ASF dual-hosted git repository.

rombert pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/sling-tooling-scm.git

commit 3a6997e06cb246d67a94760ad097a526db8fa0a4
Author: Robert Munteanu <ro...@apache.org>
AuthorDate: Thu Sep 28 12:57:27 2017 +0000

    SLING-3987 - move from Subversion to Git
    
    Add script to create a GitHub org ( for testing only )
    
    git-svn-id: https://svn.apache.org/repos/asf/sling/trunk@1809985 13f79535-47bb-0310-9956-ffa450edef68
---
 scripts/create-gh-repo.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/scripts/create-gh-repo.sh b/scripts/create-gh-repo.sh
new file mode 100755
index 0000000..b6d8b99
--- /dev/null
+++ b/scripts/create-gh-repo.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -ex
+
+username="$1"
+access_token="$2"
+repo_name="$3"
+
+if [ $# -ne 3 ]; then
+    echo "Usage: $0 github_username github_token new_repo_name"
+    exit 1
+fi
+
+curl -u "${username}:${access_token}" -d "{
+    \"name\": \"${repo_name}\",
+    \"has_issues\": false,
+    \"has_projects\": false,
+    \"has_wiki\": false
+}" -X POST https://api.github.com/orgs/not-sling/repos